#pragma once
#ifndef __OPINION_DEF_H__
#define __OPINION_DEF_H__

enum EOpinionDeedType
{
	OPINION_DEED_TYPE_NONE = 0,

	//crime
	//NOTE: Need to make sure these values equal those in ECrime (village_def.h)
	OPINION_DEED_TYPE_CRIME_WEAPON_OUT = 1,
	OPINION_DEED_TYPE_CRIME_TRESPASS_THIRD = 2,
	OPINION_DEED_TYPE_CRIME_VANDALISM = 3,
	OPINION_DEED_TYPE_CRIME_LOCKPICKING = 4,
	OPINION_DEED_TYPE_CRIME_PICK_POCKETS = 5,
	OPINION_DEED_TYPE_CRIME_THEFT = 6,
	OPINION_DEED_TYPE_CRIME_ASSAULT = 7,
	OPINION_DEED_TYPE_CRIME_GBH = 8,
	OPINION_DEED_TYPE_CRIME_MURDER = 9,

	OPINION_DEED_TYPE_CRIME_TRESPASS_FIRST,
	OPINION_DEED_TYPE_CRIME_TRESPASS_SECOND,

	//expression
	OPINION_DEED_TYPE_EXPRESSION_HEROIC_STANCE,
	OPINION_DEED_TYPE_EXPRESSION_FLIRT,
	OPINION_DEED_TYPE_EXPRESSION_APOLOGY_NO_CRIME,
	OPINION_DEED_TYPE_EXPRESSION_SNEER,
	OPINION_DEED_TYPE_EXPRESSION_EVIL_LAUGH,
	OPINION_DEED_TYPE_EXPRESSION_BATTLE_CRY,
	OPINION_DEED_TYPE_EXPRESSION_PELVIC_THRUST,
	OPINION_DEED_TYPE_EXPRESSION_MIDDLE_FINGER,
	OPINION_DEED_TYPE_EXPRESSION_BELCH,
	OPINION_DEED_TYPE_EXPRESSION_FART,
	OPINION_DEED_TYPE_EXPRESSION_VICTORY_PUMP,
	OPINION_DEED_TYPE_EXPRESSION_CLAP,
	OPINION_DEED_TYPE_EXPRESSION_GIGGLE,
	OPINION_DEED_TYPE_EXPRESSION_SHIT,
	OPINION_DEED_TYPE_EXPRESSION_THANKS,

	OPINION_DEED_TYPE_EXPRESSION_COCK_A_DOODLE_DO,
	OPINION_DEED_TYPE_EXPRESSION_CROTCH_GRAB,
	OPINION_DEED_TYPE_EXPRESSION_KISS_MY_ASS,
	OPINION_DEED_TYPE_EXPRESSION_FLAMENCO,
	OPINION_DEED_TYPE_EXPRESSION_COSSACK,
	OPINION_DEED_TYPE_EXPRESSION_AIR_GUITAR,
	OPINION_DEED_TYPE_EXPRESSION_BALLET,
	OPINION_DEED_TYPE_EXPRESSION_SATURDAY_NIGHT_FEVER,
	OPINION_DEED_TYPE_EXPRESSION_TAP,
	OPINION_DEED_TYPE_EXPRESSION_Y,
	OPINION_DEED_TYPE_EXPRESSION_M,
	OPINION_DEED_TYPE_EXPRESSION_C,
	OPINION_DEED_TYPE_EXPRESSION_A,

	OPINION_DEED_TYPE_EXPRESSION_THREATEN_SMALL,
	OPINION_DEED_TYPE_EXPRESSION_THREATEN_LARGE,

	//scripts
	OPINION_DEED_TYPE_SCRIPT_ACTION_ANNOYING_SMALL,
	OPINION_DEED_TYPE_SCRIPT_ACTION_ANNOYING_LARGE,
	OPINION_DEED_TYPE_SCRIPT_ACTION_NICE_SMALL,
	OPINION_DEED_TYPE_SCRIPT_ACTION_NICE_LARGE,

	//followers
	OPINION_DEED_TYPE_FOLLOWER_ACCEPT,
	OPINION_DEED_TYPE_FOLLOWER_REFUSE,
	OPINION_DEED_TYPE_FOLLOWER_DISMISSED,
	OPINION_DEED_TYPE_FOLLOWER_QUIT,
	OPINION_DEED_TYPE_FOLLOWER_ENEMYSPOTTED,
	OPINION_DEED_TYPE_FOLLOWER_IDLEEXCITED,
	OPINION_DEED_TYPE_FOLLOWER_IDLEBORED,

	//misc
	OPINION_DEED_TYPE_WITNESSED_ASSAULT_OR_GBH,
	OPINION_DEED_TYPE_TOO_FREQUENT_OTHER_DEED,
	OPINION_DEED_TYPE_SHOW_TROPHY_EVIL,
	OPINION_DEED_TYPE_SHOW_TROPHY_GOOD,
	OPINION_DEED_TYPE_SHOW_TROPHY_BORED,
	OPINION_DEED_TYPE_KILL_BAD_GUY,
	OPINION_DEED_TYPE_MURDER_SPOUSE,
	OPINION_DEED_TYPE_RECEIVE_GIFT_ROMANTIC,
	OPINION_DEED_TYPE_RECEIVE_GIFT_FRIENDLY,
	OPINION_DEED_TYPE_RECEIVE_GIFT_OFFENSIVE,
	OPINION_DEED_TYPE_RECEIVE_WEDDING_RING,
	OPINION_DEED_TYPE_BOAST_ANTICIPATION,
	OPINION_DEED_TYPE_BOAST_ENCOURAGE_FIRST,
	OPINION_DEED_TYPE_BOAST_ENCOURAGE_MIDDLE,
	OPINION_DEED_TYPE_BOAST_ENCOURAGE_FINAL,
	OPINION_DEED_TYPE_BOAST_WELL_WISHES,
	OPINION_DEED_TYPE_BOAST_ANNOYED_NO_BOASTING,
	OPINION_DEED_TYPE_COMMENT_AT_HERO,
	OPINION_DEED_TYPE_COMMENT_TO_SELF,
	OPINION_DEED_TYPE_COMMENT_ABOUT_HERO,
	OPINION_DEED_TYPE_GENERIC_INCOMPREHENSION,
	OPINION_DEED_TYPE_HIGH_PRIORITY_INCOMPREHENSION,
	OPINION_DEED_TYPE_HUSBAND_RAGE,
	OPINION_DEED_TYPE_TAVERN_GAME_WIN,
	OPINION_DEED_TYPE_INDOORS_GREETING,
	OPINION_DEED_TYPE_APOLOGY_ACCEPTED,
	OPINION_DEED_TYPE_APOLOGY_REFUSED,

	//wives
	OPINION_DEED_TYPE_WIFE_GREETED,
	OPINION_DEED_TYPE_WIFE_TIME_SINCE_SEEING,
	OPINION_DEED_TYPE_WIFE_GIFT_RECEIVE_ALREADY_GOT,
	OPINION_DEED_TYPE_WIFE_JUSTMARRIED,
	OPINION_DEED_TYPE_WIFE_GIFT_WANTED,
	OPINION_DEED_TYPE_WIFE_WITNESSED_FLIRT,
	OPINION_DEED_TYPE_WIFE_HOUSE_DRESSING_GOOD,
	OPINION_DEED_TYPE_WIFE_HOUSE_DRESSING_BAD,
	OPINION_DEED_TYPE_WIFE_DIVORCE_WARNING,
	OPINION_DEED_TYPE_WIFE_DIVORCE_OCCURRED,
	OPINION_DEED_TYPE_WIFE_SEX_OFFER_TO_GO_TO_BED,
	OPINION_DEED_TYPE_WIFE_SEX_COMMENT_AFTERWARDS,

	OPINION_DEED_TYPE_LAST,
};

enum EOpinion
{
	OPINION_MORALITY = 0,
	OPINION_RENOWN,
	OPINION_SCARINESS,
	OPINION_AGREEABLENESS,
	OPINION_ATTRACTIVENESS,
	OPINION_LAST,
};

enum EOpinionAttitudeType
{
	OPINION_ATTITUDE_TYPE_NONE = 0,

	//NOTE: Need to make sure these values equal those in EOpinionReactionType
	OPINION_ATTITUDE_TYPE_RESPECT,
	OPINION_ATTITUDE_TYPE_AWE,
	OPINION_ATTITUDE_TYPE_DISDAIN,
	OPINION_ATTITUDE_TYPE_FEAR,
	OPINION_ATTITUDE_TYPE_FRIENDLINESS,
	OPINION_ATTITUDE_TYPE_WORSHIP,
	OPINION_ATTITUDE_TYPE_RIDICULOUS,
	OPINION_ATTITUDE_TYPE_OFFENSIVE,
	OPINION_ATTITUDE_TYPE_AGREEABLE,
	OPINION_ATTITUDE_TYPE_UGLY,
	OPINION_ATTITUDE_TYPE_ATTRACTED,
	OPINION_ATTITUDE_TYPE_LOVE,

	OPINION_ATTITUDE_TYPE_WIFE_FIRST,
	OPINION_ATTITUDE_TYPE_WIFE_LOVE = OPINION_ATTITUDE_TYPE_WIFE_FIRST,
	OPINION_ATTITUDE_TYPE_WIFE_LIKE,
	OPINION_ATTITUDE_TYPE_WIFE_NEUTRAL,
	OPINION_ATTITUDE_TYPE_WIFE_DISLIKE,
	OPINION_ATTITUDE_TYPE_WIFE_HATE,

	OPINION_ATTITUDE_TYPE_LAST,
};

enum EOpinionReactionType
{
	OPINION_REACTION_TYPE_NONE = 0,

	//NOTE: Need to make sure these values equal those in EOpinionAttitudeType
	OPINION_REACTION_TYPE_ATTITUDE_RESPECT,
	OPINION_REACTION_TYPE_ATTITUDE_AWE,
	OPINION_REACTION_TYPE_ATTITUDE_DISDAIN,
	OPINION_REACTION_TYPE_ATTITUDE_FEAR,
	OPINION_REACTION_TYPE_ATTITUDE_FRIENDLINESS,
	OPINION_REACTION_TYPE_ATTITUDE_WORSHIP,
	OPINION_REACTION_TYPE_ATTITUDE_RIDICULOUS,
	OPINION_REACTION_TYPE_ATTITUDE_OFFENSIVE,
	OPINION_REACTION_TYPE_ATTITUDE_AGREEABLE,
	OPINION_REACTION_TYPE_ATTITUDE_UGLY,
	OPINION_REACTION_TYPE_ATTITUDE_ATTRACTED,
	OPINION_REACTION_TYPE_ATTITUDE_LOVE,

	OPINION_REACTION_TYPE_ATTITUDE_WIFE_LOVE,
	OPINION_REACTION_TYPE_ATTITUDE_WIFE_LIKE,
	OPINION_REACTION_TYPE_ATTITUDE_WIFE_NEUTRAL,
	OPINION_REACTION_TYPE_ATTITUDE_WIFE_DISLIKE,
	OPINION_REACTION_TYPE_ATTITUDE_WIFE_HATE,

	OPINION_REACTION_TYPE_ANGRY_POINT,
	OPINION_REACTION_TYPE_BACK_AWAY,
	OPINION_REACTION_TYPE_BELLY_LAUGH,
	OPINION_REACTION_TYPE_BOO,
	OPINION_REACTION_TYPE_BOWING_LARGE,
	OPINION_REACTION_TYPE_BOWING_SMALL,
	OPINION_REACTION_TYPE_CALLING_CHILDREN,
	OPINION_REACTION_TYPE_CHEER_LARGE,
	OPINION_REACTION_TYPE_CHEER_SMALL,
	OPINION_REACTION_TYPE_CLAP_LARGE,
	OPINION_REACTION_TYPE_CLAP_SMALL,
	OPINION_REACTION_TYPE_COMMENT_ABOUT_HERO,
	OPINION_REACTION_TYPE_COMMENT_AT_HERO,
	OPINION_REACTION_TYPE_COMMENT_TO_SELF,
	OPINION_REACTION_TYPE_COWER,
	OPINION_REACTION_TYPE_DISMISS,
	OPINION_REACTION_TYPE_FLEE,
	OPINION_REACTION_TYPE_FOLLOW_CLOSE,
	OPINION_REACTION_TYPE_FOLLOW_FAR,
	OPINION_REACTION_TYPE_FRIENDLY_GREET,
	OPINION_REACTION_TYPE_GET_OUT,
	OPINION_REACTION_TYPE_GROVEL_LARGE,
	OPINION_REACTION_TYPE_GROVEL_SMALL,
	OPINION_REACTION_TYPE_HERO_IMITATION_PLAY,
	OPINION_REACTION_TYPE_HEROTITLE_AT_HERO,
	OPINION_REACTION_TYPE_HEROTITLE_TO_SELF,
	OPINION_REACTION_TYPE_HIDE,
	OPINION_REACTION_TYPE_MARRIAGE_COMMENT,
	OPINION_REACTION_TYPE_OFFER_GIFT_FRIENDLY,
	OPINION_REACTION_TYPE_OFFER_GIFT_WORSHIP,
	OPINION_REACTION_TYPE_PICK_FIGHT,
	OPINION_REACTION_TYPE_POINT,
	OPINION_REACTION_TYPE_POINT_LAUGH,
	OPINION_REACTION_TYPE_RESPECTFUL_GREET,
	OPINION_REACTION_TYPE_SHAKE_FIST,
	OPINION_REACTION_TYPE_SHOUT_AWE,
	OPINION_REACTION_TYPE_SNIGGER,
	OPINION_REACTION_TYPE_THUMBS_DOWN,
	OPINION_REACTION_TYPE_WATCH,

	//wives
	OPINION_REACTION_TYPE_WIFE_FIRST,
	OPINION_REACTION_TYPE_WIFE_FEELING_LOVE = OPINION_REACTION_TYPE_WIFE_FIRST,
	OPINION_REACTION_TYPE_WIFE_GENERAL_LOVE,
	OPINION_REACTION_TYPE_WIFE_TOHERSELF_LOVE,
	OPINION_REACTION_TYPE_WIFE_CLOTHING_LOVE,
	OPINION_REACTION_TYPE_WIFE_FEELING_LIKE,
	OPINION_REACTION_TYPE_WIFE_GENERAL_LIKE,
	OPINION_REACTION_TYPE_WIFE_TOHERSELF_LIKE,
	OPINION_REACTION_TYPE_WIFE_CLOTHING_LIKE,
	OPINION_REACTION_TYPE_WIFE_FEELING_NEUTRAL,
	OPINION_REACTION_TYPE_WIFE_GENERAL_NEUTRAL,
	OPINION_REACTION_TYPE_WIFE_TOHERSELF_NEUTRAL,
	OPINION_REACTION_TYPE_WIFE_CLOTHING_NEUTRAL,
	OPINION_REACTION_TYPE_WIFE_FEELING_DISLIKE,
	OPINION_REACTION_TYPE_WIFE_GENERAL_DISLIKE,
	OPINION_REACTION_TYPE_WIFE_TOHERSELF_DISLIKE,
	OPINION_REACTION_TYPE_WIFE_CLOTHING_DISLIKE,
	OPINION_REACTION_TYPE_WIFE_FEELING_HATE,
	OPINION_REACTION_TYPE_WIFE_GENERAL_HATE,
	OPINION_REACTION_TYPE_WIFE_TOHERSELF_HATE,
	OPINION_REACTION_TYPE_WIFE_CLOTHING_HATE,

	OPINION_REACTION_TYPE_WIFE_JUSTMARRIED,
	OPINION_REACTION_TYPE_WIFE_GIFT_WANTED,

	OPINION_REACTION_TYPE_WIFE_LAST,

	OPINION_REACTION_TYPE_LAST = OPINION_REACTION_TYPE_WIFE_LAST,
};

enum EOpinionPostDeedType
{
	OPINION_POST_DEED_TYPE_NULL = 0,

	OPINION_POST_DEED_TYPE_RECIPIENT = 1,
	OPINION_POST_DEED_TYPE_WITNESSES = 1<<1,
	OPINION_POST_DEED_TYPE_VILLAGE = 1<<2,
	OPINION_POST_DEED_TYPE_GUARDS = 1<<4,

	OPINION_POST_DEED_TYPE_RECIPIENT_AND_WITNESSES = OPINION_POST_DEED_TYPE_RECIPIENT | OPINION_POST_DEED_TYPE_WITNESSES,

	OPINION_POST_DEED_TYPE_ALL = OPINION_POST_DEED_TYPE_RECIPIENT | OPINION_POST_DEED_TYPE_WITNESSES | OPINION_POST_DEED_TYPE_VILLAGE,
};

enum EOpinionTargetingConditionType
{
	OPINION_TARGETING_CONDITION_TYPE_NONE = 0,

	OPINION_TARGETING_CONDITION_TYPE_NOT_TARGETED,
	OPINION_TARGETING_CONDITION_TYPE_TARGETED_BUT_NOT_Z,
	OPINION_TARGETING_CONDITION_TYPE_NOT_Z_TARGETED,
	OPINION_TARGETING_CONDITION_TYPE_Z_TARGETED,
	OPINION_TARGETING_CONDITION_TYPE_ANY_TARGETED,
};

#endif //__OPINION_DEF_H__
